import Placeholder from "react-bootstrap/Placeholder";
import React from "react";
import Stack from "react-bootstrap/Stack";

import { IEmail } from "./client/types";

type EmailContentTextProps = {
	email: IEmail;
};

const EmailContentText: React.FC<EmailContentTextProps> = (props) => {
	const email = props.email;
	if (email.textBody == null) {
		return <Placeholder />;
	}
	return (
		<Stack>
			{email.textBody.map((t) =>
				t.partId === undefined ? (
					<pre>undefined partId</pre>
				) : (
					<pre key={t.partId}>{email.bodyValues![t.partId].value}</pre>
				),
			)}
		</Stack>
	);
};
export default EmailContentText;
