import client from "jmap-client-ts/lib/types";

export interface IEmailStub {
	from: Array<client.IEmailAddress> | null;
	id: string;
	receivedAt: string;
	subject: string;
}

export interface IMailbox extends client.IMailboxProperties {
	emailIds: Array<string> | null;
}

export interface IEmail extends client.IEmailProperties {
	//sentAt: IutcDate|null,
}

export interface IAccount extends client.IAccount {
	id: string;
	mailboxes: Array<IMailbox> | null;
}

export type AccountIdMap = { [accountId: string]: IAccount };
export type EmailStubIdMap = { [emailId: string]: IEmailStub };
export type EmailIdMap = { [emailId: string]: IEmail };

export interface ISession extends client.ISession {
	accounts: AccountIdMap;
	emails: EmailIdMap;
	emailStubs: EmailStubIdMap;
}
